Subject: bug#14967: 24.3.50; package-delete deletes by trashing?

From: Alex <[email-masked]>
Date: Fri, 02 Sep 2016 22:06:18 -0600

Stefan Monnier <[email-masked]> writes:

>> Well, obviously I consider this behavior a bug.  Trash is no place for
>> deleted packages.  I mean, does apt-get remove use the Trash?!
>
> I think the reasoning goes as follows:
> Emacs uses "trash" when deleting a file upon the user's request (as
> opposed to things like temp files used internally).
>
>
>         Stefan

Could there perhaps be a separate configuration option for deleting
packages versus trashing them? I usually like Emacs using the trash, but
I don't see a reason why packages should go there myself.